{ self, inputs, ... }: {
  flake.nixosConfigurations.uConsole = inputs.nixos-raspberrypi.lib.nixosSystem {
    system = "aarch64-linux";
    specialArgs = inputs // {
      inherit self;
      inputs = inputs;
      host = "uConsole";
      system = "aarch64-linux";
    };
    trustCaches = false;
    modules = [
      inputs.nixos-raspberrypi.nixosModules.raspberry-pi-5.base
      inputs.oom-hardware.nixosModules.uc.kernel
      inputs.oom-hardware.nixosModules.uc.configtxt
      inputs.oom-hardware.nixosModules.uc.base-cm5
      self.nixosModules.uConsoleConfiguration
      self.nixosModules.uConsoleHome
    ];
  };
}
